Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.management
Class StatsImpl

    java.lang.Object
      org.codehaus.activemq.management.StatsImpl

All Implemented Interfaces:
  Resettable, Stats

Direct Known Subclasses:
  JCAConnectionStatsImpl, JCAStatsImpl, JMSConnectionStatsImpl, JMSEndpointStatsImpl, JMSSessionStatsImpl, JMSStatsImpl

public class StatsImpl
extends java.lang.Object
implements Stats, Resettable

Base class for a Stats implementation

Version:
  $Revision: 1.2 $

Constructor Summary
`StatsImpl()`
`StatsImpl(java.util.Map map)`

Method Summary
`protected void` | `addStatistic(java.lang.String name, Statistic statistic)`
`Statistic` | `getStatistic(java.lang.String name)`
`java.lang.String[]` | `getStatisticNames()`
`Statistic[]` | `getStatistics()`
`void` | `reset()` Reset the statistic

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatsImpl

    public StatsImpl()

### StatsImpl

    public StatsImpl(java.util.Map map)

Method Detail

### reset

    public void reset()

  Description copied from interface: `Resettable`
  Reset the statistic

  Specified by:
    `reset` in interface `Resettable`

### getStatistic

    public Statistic getStatistic(java.lang.String name)

  Specified by:
    `getStatistic` in interface `Stats`

### getStatisticNames

    public java.lang.String[] getStatisticNames()

  Specified by:
    `getStatisticNames` in interface `Stats`

### getStatistics

    public Statistic[] getStatistics()

  Specified by:
    `getStatistics` in interface `Stats`

### addStatistic

    protected void addStatistic(java.lang.String name,
                                Statistic statistic)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.